<?
include "init.php";

// ################# Start getting Youtube GData ##############################

$video_data    = YT_GetDetail($_GET['vid']);
$video_comment = YT_GetComment($_GET['vid']);

// ################# Start splitting keywords #################################

$keywords_raw = explode(',',$video_data[0]['media:group'][0]['media:keywords']);

$i=0;
foreach($keywords_raw as $k => $v) {
  $keywords[$i]['keyword'] = trim($v);
  $i++;
}

// ################# Start parse xml attributes manually ######################

preg_match_all('/<[^>]+>/s',$video_data[1],$tags);

foreach ($tags[0] as $k => $v) {
  
  $v = str_replace('"',"\'",$v);
  
  if (substr($v, 0, 12) == '<yt:duration') {
    preg_match("/seconds='(.*)'/i", $v, $matches); 
    $duration = $matches[1];  
  }
  
  if (substr($v, 0, 14) == '<yt:statistics') {
    preg_match("/viewCount='(.*)'/i", $v, $matches);
    $view_count = $matches[1];  
  }

  if (substr($v, 0, 10) == '<gd:rating') {
    preg_match("/numRaters='(.*)' average/i", $v, $matches);
    $rating_num_raters = $matches[1];  
    
    preg_match("/average='(.*)'/i", $v, $matches);
    $rating_average = $matches[1];  
  }
}

// ################# Start assign template variables ##########################
       
$tpl->assign('id',$_GET['vid']);
$tpl->assign('published',$video_data[0][published]);
$tpl->assign('updated',$video_data[0][updated]);
$tpl->assign('title',$video_data[0][title]);
$tpl->assign('author',$video_data[0][author][0][name]);

$tpl->assign('description',$video_data[0]['media:group'][0]['media:description']);
$tpl->assign('category',$video_data[0]['media:group'][0]['media:category']);
$tpl->assign('keywords',$keywords);

$tpl->assign('duration',$duration);
$tpl->assign('view_count',$view_count);
$tpl->assign('rating_num_raters',$rating_num_raters);
$tpl->assign('rating_average',$rating_average);

$tpl->assign('comments',@array_reverse($video_comment[0][entry]));
$tpl->assign('total_comments',$video_comment[0]['opensearch:totalresults']);

$tpl->display('detail.html');
?>